%bcond_with optional_test

Summary:        Perl Object interface for AF_INET|AF_INET6 domain sockets
Name:           perl-IO-Socket-INET6
Version:        2.73
Release:        1%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/IO-Socket-INET6
Source0:        https://cpan.metacpan.org/modules/by-module/IO/IO-Socket-INET6-%{version}.tar.gz

Patch3000:      IO-Socket-INET6-2.72-fix_die_in_test.patch
Patch3001:      IO-Socket-INET6-2.72-fix_random_test_error.patch
BuildArch:      noarch

BuildRequires: coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict) perl(Config) perl(Test::More) perl(utf8) perl(vars) perl(warnings)
BuildRequires: perl(Carp) perl(Errno) perl(IO::Socket) perl(Socket) perl(Socket6) >= 0.12

%if %{with optional_test}
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::TrailingSpace)
%endif

%description
Perl Object interface for AF_INET|AF_INET6 domain sockets.

%prep
%autosetup -n IO-Socket-INET6-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc ChangeLog README
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Socket::INET6.3*

%changelog
* Thu Apr 25 2024 cunshunxia <cunshunxia@tencent.com> - 2.73-1
- initial build
